# Class AlignmentAttributes

#### Hierarchy

- XmlAttributeComponent<{ val: AlignmentType }>
  - AlignmentAttributes

- Defined in src/file/paragraph/formatting/alignment.ts:16

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new AlignmentAttributes(properties: { val: AlignmentType }): AlignmentAttributes

- #### Parameters

  - ##### properties: { val: AlignmentType }

    - ##### `Readonly` val: AlignmentType

  #### Returns AlignmentAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc